<?php

$admin=false;
    if ($_SESSION['id_utilisateur']==1){
        $admin = true;
    }
    if (isset($_SESSION['id_utilisateur'])){
        $connected=true;
    }



if (isset($return)){
    if ($return == 'commentaire-inserted'){
        echo '<p style="color:green;">Le commentaire a bien été ajouté</p>';
    }
    if ($return == 'commentaire-deleted'){
        echo '<p style="color:green;">Le commentaire a bien été supprimé</p>';
    }
    if ($return == 'commentaire-modified'){
        echo '<p style="color:green;">Le commentaire a bien été modifié</p>';
    }
}

$stmt= Affiche1Billet($_GET['id_billet']);
$result = $stmt->fetch(PDO::FETCH_ASSOC);
echo '<a href="index.php?action=archives" class="retour">< Retour</a>';
echo '<h2>'.$result['titre'].'</h2>';
$dateTime = new DateTime($result['date_creation']);
    $date = $dateTime->format('d-m-Y H:i');
    echo '<p class="date-creation">Publié le '.$date.' par <a class="lien-com" href="index.php?action=affiche-profil&id=1">Gaël Grandval</a></p>';
echo '<p>'.$result['contenu'].'</p> ';
// echo 'img src="images/picture#'.$result['id_billet'].'"' alt="">';
if ($admin==true){
    echo '<a href="index.php?action=delete-billet&id_billet='.$result['id_billet'].'"style="color:red;"><ion-icon name="trash-outline"></ion-icon></a>';
    echo '<a href="index.php?action=update-billet&id_billet='.$result['id_billet'].'"><ion-icon name="create-outline"></ion-icon></a>';
}
echo '<hr/ >';
echo '<h3>Commentaires :</h3>';

$stmt2= AfficheCommentaires($_GET['id_billet']);
$result2 = $stmt2->fetchAll(PDO::FETCH_ASSOC);
echo $result2['contenu'];


foreach ($result2 as $commentaire){
    $stmt3= AfficheAuteurCom($commentaire['utilisateur_id']);
    $result3 = $stmt3->fetch(PDO::FETCH_ASSOC);
    $dateTime = new DateTime($commentaire['date_creation']);
    $date = $dateTime->format('d-m-Y H:i');
    echo '<p class="date-creation"><a class="lien-com" href="index.php?action=affiche-profil&id='.$commentaire['utilisateur_id'].'">';
    if (file_exists('img/img'.$commentaire['utilisateur_id'].'.png')){
        echo '<img class="pp-post" src="img/img'.$commentaire['utilisateur_id'].'.png" alt="">';
    } 
    elseif( file_exists('img/img'.$commentaire['utilisateur_id'].'.jpg')){
        echo '<img class="pp-post" src="img/img'.$commentaire['utilisateur_id'].'.jpg" alt="">';
    }
    else{
      echo '<img class="pp-post" src="img/img0.png" alt="">';
    }
    echo ''.$result3['prenom'].' '.$result3['nom'].'</a> <br> Publié le '.$date.'' ;
    echo '</p> <p>'.$commentaire['contenu'].'</p>';
    if (isset($_SESSION['id_utilisateur'])){
        if ($_SESSION['id_utilisateur']==$commentaire['utilisateur_id'] or $admin==true){
            echo '<a href="index.php?action=delete-commentaire&id_commentaire='.$commentaire['id_commentaire'].'&id_billet='.$_GET['id_billet'].'"style="color:red;"><ion-icon name="trash-outline"></ion-icon></a>';
            echo '<a href="index.php?action=update-commentaire&id_billet='.$result['id_billet'].'&id_commentaire='.$commentaire['id_commentaire'].'"><ion-icon name="create-outline"></ion-icon></a>';

        }
    }
    echo '<hr/ >';
}

if ($connected==true){
    echo '<form action="index.php?action=traite-add-commentaire&id_billet='.$_GET['id_billet'].'" method="post">
    <textarea name="contenu" id="contenu" placeholder="Écrivez votre commentaire" style="margin-bottom:40px"></textarea> <br>
    <input type="submit" style=margin-bottom:30px; value="Ajouter">
    </form>';
}
else{
    echo '<p style=text-align:center;><a href="index.php?action=connexion">Connectez-vous</a> pour ajouter un commentaire</p>';
}



?>